binutils (2.12.90.0.1-1) unstable; urgency=high

  * New upstream version (synced with CVS 2002-03-07).
  * Upstream: Add the .preinit_array/.init_array/.fini_array
    support.
  * Upstream: Fix eh_frame.
  * Upstream: Turn on combreloc by default.
  * Upstream: Enable gprof for Linux/mips.
  * Turn combreloc off for ARM explicitely until
    I can confirm that PIC is not still broken
    by using it.
  * Remove IA-64 unwind patch and objcopy fix
    since they are included in the upstream sources
    now.
  * Re-enable testsuite run since Randolph did the NMU
    on dejagnu (thank you!).
  * Appears to fix sparc64 linking problems.  I'm
    still looking into exactly what was going on with
    that (closes: Bug#137850)
  * Enabled hppa64-linux support in main binutils
    package (closes: Bug#137955)
  * Added Japanese debconf template.  Thanks to
    Tomohiro KUBOTA for supplying that
    (closes: Bug#138112)
  * Added patch for ld to fix dosemu problems 
    (closes: Bug#126863)

 -- Christopher C. Chimelis <chris@debian.org>  Mon, 11 Mar 2002 14:02:45 -0500

binutils (2.11.93.0.2-3) unstable; urgency=high

  * Split translated debconf templates out.
    I apparently misunderstood the instructions
    on integrating the French translation since
    this is my first real attempt at using
    debconf (closes: Bug#136295)
  * Disable combreloc default on ARM since it
    breaks PIC, apparently (closes: Bug#134241)
    Please test other ARM bugs against this
    version and inform me of the results!

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 8 Mar 2002 19:10:10 -0500

binutils (2.11.93.0.2-2) unstable; urgency=high

  * Include a patch from upstream to fix stripping
    archives containing multiple files with the
    same name (like libgcj, unfortunately).
    (closes: Bug#107812)
  * Include IA64 unwind fix from CVS to fix kernel
    linking on IA64. (closes: Bug#135143)
  * Added French translation of the debconf
    bits.  Thanks to Denis Barbier for the
    work on that. (closes: Bug#134626)
  * Disabled testsuite run until dejagnu is
    fixed.  I'm leaving the build-dep for dejagnu
    in, though, since I know I'll forget to
    reinsert it when I do re-enable the testsuite
    run.

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 22 Feb 2002 14:05:22 -0500

binutils (2.11.93.0.2-1) unstable; urgency=high

  * New upstream version (synced with CVS 2002-02-07).
  * Upstream: Fix a weak symbol alpha linker bug for glibc.
  * Upstream: More support for gcc 3.1.
  * Keep on disabling efi-app-ia32 type targets
    since the segfault is still unfixed in CVS and
    I haven't had the time to go back and really
    debug and fix this.
  * Updated standards version.
  * Corrected some of the lintian problems (all except
    the ones involving Changelog.linux, the .comment
    section, and the missing manpages for
    binutils-multiarch's binaries since that package
    depends on binutils, which provides those).

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 13 Feb 2002 13:41:47 -0500

binutils (2.11.92.0.12.3-7) unstable; urgency=high

  * The "Remind Me To Think Next Time" upload.
  * Fix the postinst to only compare versions on
    upgrade rather than during configure.
    (closes: Bug#133349, Bug#133514)
  * Still working on the other bugs...if only
    I could get a day off of work...

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 12 Feb 2002 06:15:02 -0500

binutils (2.11.92.0.12.3-6) unstable; urgency=high

  * The "Make The Bad Man Stop" upload.
  * Revert patch to bfd/elf32-sparc.c (already
    reverted upstream) that broke UA32 relocs on sparc
    and caused bus errors with C++/Java binaries
    (closes: Bug#126162)
  * Remove i486-mingw32 target from the enabled
    in multiarch and removed efi-app-ia32 from the
    BFD config for Intel linux targets until I can find
    and fixthe segfaults that seem to keep coming up when
    reading Windows files and viruses with objdump or
    strings.  This is only temporary, so I'm not closing
    the bugs until the problem gets fixed, but
    I am going to bump them down to wishlist, merge
    them, and note the above in them.
    (debian/patches/010_disable_efi_app_ia32_TEMPORARY.diff
    disables the efi-app-ia32 BFD in case someone
    wants to revert this change easily)
  * Added debconf warning about the kernel linking
    situation since it keeps coming up and people
    keep initially disagreeing with me about this
    being a kernel bug.  Also, merged prior warning
    about -oformat change into the same debconf warning
    (it's two, two, two warnings in one).  This makes
    the DEBIAN_FRONTEND case bug moot (closes: Bug#131801)
  * Added powerpc64-linux target to multiarch since
    work is progressing on that target and the machines
    are due to hit the shelves Very Soon(TM).

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 1 Feb 2002 17:06:29 -0500

binutils (2.11.92.0.12.3-5) unstable; urgency=high

  * Fix signed char assumption in i386 disassembly bits
    (closes: Bug#126993)

 -- Christopher C. Chimelis <chris@debian.org>  Mon, 8 Jan 2002 17:27:17 -0500

binutils (2.11.92.0.12.3-4) unstable; urgency=high

  * Go back to enabling archs by enumeration for
    multiarch.  Apparently, a few aren't enabled
    with --enable-targets=all (sparc64-linux, namely).
    Besides, multiarch was incredibly large, which
    was probably unneeded.

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 26 Dec 2001 13:53:49 -0500

binutils (2.11.92.0.12.3-3) unstable; urgency=high

  * Include patch from Alan Modra to fix more
    refcount problems on hppa.

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 7 Dec 2001 05:42:04 -0500

binutils (2.11.92.0.12.3-2) unstable; urgency=high

  * Include patch from Alan Modra to fix hppa linking
    woes wrt undefined symbols (closes: Bug#121993)

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 5 Dec 2001 04:14:51 -0500

binutils (2.11.92.0.12.3-1) unstable; urgency=high

  * New upstream version (synced with CVS 2001-11-21)
  * Upstream: Fix a linker symbol version bug
    for common symbols.
  * Upstream: Update handling relocations against
    the discarded sections. You may need to apply
    the kernel patch enclosed here to your kernel
    source.
  * Upstream: Support "-march=xxx -mipsN" for mips
    gas if they are compatible.
  * Upstream: Fix a regression when linking with
    non-ELF object files.
  * Includes Alan Modra's patch to reduce stub sizes
    on HPPA.  Should help C++ on HPPA.
  * Once again includes a mips patch from HJ Lu.
  * My documentation changes were cleaned up and
    accepted upstream, so the gas manpage fixes go
    away (hurray!).
  * Stopped iterating targets for binutils-multiarch
    and started enabling all of them.  This saves
    maintenance time since new targets will be
    automatically supported in future uploads
    and existing targets that I didn't include
    before will be supported from now on.  This may
    grow build time and the libbfd in the multiarch
    package, but it's worth it.
  * Also, started using the --enable-64-bit-bfd
    flag for configuring multiarch.  I don't know
    why I didn't realise this wasn't there before
    since I test with it all of the time.

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 30 Nov 2001 20:11:42 -0500

binutils (2.11.92.0.10-4) unstable; urgency=high

  * The "Fingers crossed" upload.
  * Enable combreloc by default for s390 again.
    Rumour has it that it worked before, but there
    was a misunderstanding in the s390 developer
    community, hence the disabling in the past.
  * Fix the ld texinfo file to not mention the old
    oformat invocation (closes: Bug#116182)
  * Next upload should include the mips updates and
    some powerpc updates.  I just need time to test
    those out first.

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 23 Nov 2001 23:23:22 -0500

binutils (2.11.92.0.10-3) unstable; urgency=high

  * Replace HPPA reloc patch with patches from Alan
    Modra upstream.
  * Add upstream patch to fix quoted -rpath bug
    (closes: Bug#107214)

 -- Christopher C. Chimelis <chris@debian.org>  Sat, 10 Nov 2001 18:19:05 -0400

binutils (2.11.92.0.10-2) unstable; urgency=high

  * Disable -z combreloc enable patch on S/390
    since it's not supported there yet
    (closes: Bug#117087)

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 26 Oct 2001 00:07:01 -0400

binutils (2.11.92.0.10-1) unstable; urgency=high

  * New upstream version (synced with CVS 2001-10-21)
  * Upstream: Fix the ELF/PPC linker.
  * Upstream: Fix the ELF/cris linker.
  * Upstream: Fix ELF strip.
  * Includes beginnings of Altivec support
    (closes: Bug#98617)
  * Fixes use of BookE instruction format on 4xx
    PowerPC (closes: Bug#116627)
  * Includes patches from Alan Modra to fix hppa
    relocations.
  * Forgot to close the previous PPC bug with last
    upload (closes: Bug#116454)
  * Moved to enclosing a bzipped tarball rather than
    a gzipped one to save download time for everyone
    involved.  Build-deps adjusted accordingly.

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 23 Oct 2001 03:29:49 -0400

binutils (2.11.92.0.7-2) unstable; urgency=high

  * Include a patch from H.J Lu to fix a powerpc
    issue not shown in the testsuite results.

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 19 Oct 2001 00:49:04 -0400

binutils (2.11.92.0.7-1) unstable; urgency=high

  * New upstream release (synced with CVS 2001-10-16)
  * Upstream:  Fix all breakages introduced in 2.11.92.0.5
  * No mips/ dir patches need to be applied with this one.
    Woohoo!
  * Removed patches from debian/patches that are already
    applied upstream.
  * Patched version strings to reflect that this is a
    Debian release at the request of upstream (to prevent
    confusion, apparently).
  * Applied patch from H.J. Lu to fix mips section
    misalignment.
  * Applied patch from Jakub Jelinek to fix kernel linking
    on i386 and possibly other archs (closes: Bug#116041)
  * Fixed postinst and prerm for binutils-doc to test that
    the files exist before calling install-info.  This should
    fix the odd circumstance when binutils-doc is packaged on
    an arch that doesn't support gprof (or any other dir for
    that matter) and, therefore, the docs that are usually
    made in that dir aren't made.  This is particularly true
    with gprof on mips.

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 17 Oct 2001 18:56:51 -0400

binutils (2.11.92.0.5-3) unstable; urgency=high

  * Enable -z combreloc on all targets. This will make
    prelinking possible with the prelink package.  Please
    test this on all archs prior to upload.  If it fails, file
    a bug immediately and I'll disable the patch for that
    platform.
  * Added patches from Alan Modra (from CVS) to fix other
    archs after the refcount patch broke them.  This supercedes
    the powerpc patch, so I replaced that with this.
    (closes: Bug#115218)
  * Added patch from H.J. Lu (from CVS) to fix IA64 linker
    problems as well.
  * Added patch from David Kimdon to specify which filename is
    causing an error if that filename is a dir (closes: Bug#45832).
  * Removed workaround patch for stabs problem on Alpha since
    it appears to be causing problems on mips and is no longer
    needed on Alpha anyway.
  * Now runs the testsuite and includes the results in the
    binutils package for reference.

 -- Christopher C. Chimelis <chris@debian.org>  Sat, 13 Oct 2001 15:10:20 -0400

binutils (2.11.92.0.5-2) unstable; urgency=high

  * Applied fix from H.J. Lu to fix PowerPC target
    (closes: Bug#115285).  Thanks to Jack Howarth
    for forcing the issue upstream.

 -- Christopher C. Chimelis <chris@debian.org>  Fri, 12 Oct 2001 23:14:51 -0400

binutils (2.11.92.0.5-1) unstable; urgency=high

  * New upstream release (synced with CVS 2001-10-05)
  * Upstream: Support gcc 3.1 for IA64.
  * Upstream: Support prelink for ELF/PPC.
  * Upstream: Fix an ELF/x86 linker bug for Oracle
    (closes: Bug#113614)
  * Upstream: Fix a weak symbol bug.
  * Upstream: Support locale.

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 9 Oct 2001 19:53:49 -0400

binutils (2.11.90.0.31-2) unstable; urgency=high

  * Applied IA64 patch from CVS to fix gcc issues
    on IA64.

 -- Christopher C. Chimelis <chris@debian.org>  Mon, 24 Sep 2001 12:45:29 -0400

binutils (2.11.90.0.31-1) unstable; urgency=high

  * New upstream source (synced with CVS 2001-08-30)
  * Upstream: Fix a MIPS linker bug.
  * Now applying mips diffs from H.J. Lu (upstream)
    for better MIPS and MIPS64 support.
  * Applied patch from Christopher Cramer to fix
    gasp .REG issue (closes: Bug#110560)

 -- Christopher C. Chimelis <chris@debian.org>  Sat, 1 Sep 2001 23:42:22 -0400

binutils (2.11.90.0.29-1) unstable; urgency=high

  * New upstream source (synced with CVS 2001-08-27)
  * Upstream: Fix an Alpha assembler bug.
  * Upstream: Fix an IA64 linker bug.
  * Upstream: Fix a MIPS linker bug.
  * Upstream: Support '-z combreloc|nocombreloc' in linker.
 
 -- Christopher C. Chimelis <chris@debian.org>  Thu, 30 Aug 2001 04:48:04 -0400

binutils (2.11.90.0.27-4) unstable; urgency=high

  * Argh.  Really remove the manpages from multiarch
    this time (closes: Bug#110410)

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 28 Aug 2001 14:32:34 -0400

binutils (2.11.90.0.27-3) unstable; urgency=high

  * Include hppa patch to force error
    (closes: Bug#109173)
  * Fix manpages - seems that I accidentally included
    the multiarch manpages rather than the target
    manpages (sorry).
  * Partial update to as manpage to denote arch options
    and added options for the rest of the targets
    Still need to elaborate on them, though.  More
    changes are forthcoming (closes: Bug#110127)

 -- Christopher C. Chimelis <chris@debian.org>  Mon, 27 Aug 2001 10:13:27 -0400

binutils (2.11.90.0.27-2) unstable; urgency=high

  * Remove bash dependency...ash's behaviour has
    already been modified, so it should be able
    to build binutils now (closes: Bug#106992)
  * Includes new S/390 patch (closes: Bug#109300)
  * Could never reproduce objdump segfault and
    never got a reply on the bug report
    (closes: Bug#93884)
  * Can't reproduce m68k segfault either
    (closes: Bug#87714)

 -- Christopher C. Chimelis <chris@debian.org>  Mon, 20 Aug 2001 23:07:30 -0400

binutils (2.11.90.0.27-1) unstable; urgency=high

  * New upstream source (synced with 20010810 CVS)
  * Upstream: Fixed x86 linker bug.
  * Reverted a patch to gas to dodge a bug in STABS output
    on Alpha using gcc 2.95.4, so alpha can be in sync
    with the rest of the archs now.
  * Fixes strip problems with busybox (closes: Bug#106593)
  * Kernels should compile ok again on i386
    (closes: Bug#107190)

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 16 Aug 2001 08:24:49 -0400

binutils (2.11.90.0.25-1) unstable; urgency=high

  * New upstream source (synced with 20010726 CVS)
  * Upstream: fix i386 assembler bug.
  * Upstream: "make check" has 2 failures in the
    ld-selective test in ld on Linux/alpha. They
    should be marked xfail. Fixed in the next release.
  * Removed m68k patch (closes: Bug#106431)
  * Man pages appear to be correctly generated now
    (closes: Bug#98569, Bug# 98938)
  * Added bash build dependency (closes: Bug#106992)
  * Should compile ok on powerpc (the last one did
    also...don't know why voltaire's build daemon failed).
    I won't close this bug until I build it myself
    on voltaire or hear back from the autobuilder folks
    on PPC.
  * Looking into the whole LD_LIBRARY_PATH issue that
    keeps being brought up.  I think the docs are wrong
    because the templates say that it shouldn't obey that
    at all.  Can we please stop filing duplicate bugs for
    this?  I would greatly appreciate it...

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 1 Aug 2001 07:06:52 -0400

binutils (2.11.90.0.24-1) unstable; urgency=high

  * New upstream source (synced with 20010714 CVS)
  * DO NOT COMPILE FOR ALPHA.  I need to fix gcc 2.95.4
    prior to this release working on Alpha correctly
    (long story).
  * Upstream: Avoid COPY relocs on i386
  * Upstream: Fix IA64 assembler (please try this and let me know)
  * Upstream: Fix a static linking the PIC object files on ia32
  * Upstream: Add the version script support for --export-dynamic
  * Upstream: Fix sparc/elf for linux/sparc
  * Upstream: Fix alpha/elf for gcc 3.0
  * Supposedly required for gcc-3.0 usage on many platforms
  * Add s390 to multiarch list (closes: Bug#98095)
  * Supposedly good on mips, but please check.  I emailed Ryan
    to see if bug 98095 still happens, but never got a reply.
    If I get around it, I'll check it myself since my mips
    lives once again.
  * Retake my package from Matt (next time we agree to an NMU,
    please don't change the maintainer name...no wonder I didn't
    get any bug reports!)
  * Cross-compilation support will be added in the next upload
    (I'll be uploading alpha debs with the next release as well,
    the alpha problem outweighs cross-compilation support in
    priority right now).

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 19 Jul 2001 05:12:05 -0400

binutils (2.11.90.0.7-2) unstable; urgency=high

  * Applied patch from Alan Modra to fix m68k
    assertion problems (closes: Bug#96352)
  * Applied srec patch from Richard Henderson for
    alpha.

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 9 May 2001 03:11:19 -0400

binutils (2.11.90.0.7-1) unstable; urgency=high

  * New upstream source (synced with 20010425 CVS)
  * Upstream: Fix the -Bsymbolic bug introduced in
    binutils 2.11.90.0.5 (closes: Bug#95168)

 -- Christopher C. Chimelis <chris@debian.org>  Sun, 29 Apr 2001 20:03:22 -0400

binutils (2.11.90.0.5-1) unstable; urgency=high

  * New upstream source (synced with 20010414 CVS)
  * Upstream: Fix in IA64 assembler
  * Upstream: Change Linux/MIPS to use SVR4 MIPS ABI
    rather than IRIX ABI.
  * The above change may cause problems for MIPS.
    If so, please file a bug and I'll revert those
    changes if need be.  I suspect that glibc, gcc,
    and the kernel may eventually follow suit, though
    to fit in with this change (it makes sense...
    see the symbol ordering problems threads on the
    binutils list for more info).
  * Upstream: IA32 gas bug fixed...no further details
    provided, unfortunately.
  * Reportedly fixes core dumping when trying to link
    object files from other platforms (now warns)
    (closes: Bug#60502)
  * Includes Philip Blundell's ARM PLT patch finally...
    sorry for the delay (closes: Bug#94181)
  * m68k problems should be fixed by now.  Wish I had
    gotten more feedback, but I didn't so I'm assuming it
    works at this point (closes: Bug#74396)
  * Stopped compiling cross-compiler packages until we
    work out a better system for the entire toolchain.
    Sorry, but it was taking far too long on even fast
    machines and I've gotten more complaints about the
    current arrangement than I have positive feedback.
    (closes: Bug#91120, Bug#91119, Bug#91118, Bug#91117,
     Bug#91116, Bug#88311, Bug#78028, Bug#90177)
  * Fixed readelf manpage so that it no longer says that
    it is a preprocessor for assembly programs
    (closes: Bug#90798)

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 17 Apr 2001 20:07:14 -0400
  
binutils (2.11.90.0.1-1) unstable; urgency=high

  * New upstream source (synced with 20010309
    CVS).
  * Fixed misapplied m68k ld patch.
    I am hoping that this almost totally fixes
    m68k ELF for now.
  * Fixed typo in mips patch and applied another
    mips patch from Daniel Jacobowitz.
  * Should no longer build same-arch cross
    packages.  Please let me know if this fix
    worked so that I can close the bugs (I have
    no access to such an arch at the moment)
  * Made urgency high since m68k really needs
    this if the bugs are truly fixed.  Even if
    not, this version is infinitely better on
    at least two platforms than prior ones were.

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 15 Mar 2001 16:29:32 -0500

binutils (2.10.91.0.2-4) unstable; urgency=low

  * Applied m68k ld and bfd patches from
    Michael Fedrowitz to hopefully make things
    better on m68k.

 -- Christopher C. Chimelis <chris@debian.org>  Sun, 11 Mar 2001 20:16:44 -0500

binutils (2.10.91.0.2-3) unstable; urgency=low

  * Adjusted the priority of binutils-doc to
    optional.
  * Added debhelper build-depends (closes: Bug#87690)
  * Fixed postinst problem for new binutils
    installations (closes: Bug#87911)

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 1 Mar 2001 15:06:50 -0500

binutils (2.10.91.0.2-2) unstable; urgency=low

  * Add support for SH and IA64 to binutils-multiarch.
  * Applied m68k gas patch from Michael Fedrowitz
    in hopes that this will fix the grave bug that
    has been such a pain to m68k folks.  I'll leave
    the bug open until it's verified that it works
    ok.
  * Applied IA-64 printf patch (closes: Bug#82702)
  * Kernels appear to be building fine with this
    release on all archs available to me
    (closes: Bug#77610)
  * Added text during postinst that informs users
    to modify their i386 kernel Makefiles for the
    --oformat change (closes: Bug#86995)
  * Incorporated remaining mips diffs that weren't
    already applied upstream (closes: Bug#81280)
  * Sparc/sparc64 patch seems to be doing fine, so
    closing the bug (closes: Bug#86781)
  * Added non-linux cross- package support to rules
    (closes: Bug#79948)
  * Close misc bugs:
    Missing info file in binutils-doc (closes: Bug#78754)

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 22 Feb 2001 19:36:12 -0500

binutils (2.10.91.0.2-1) unstable; urgency=low

  * New upstream version.
  * Added weak symbol relocation patch for sparc/sparc64.
  * Included m68k ELF fix from Michael Fedrowitz.
  * BIG NOTE: any i386 kernels compiled with this will need
    to be patched to change the ld option '-oformat' to
    '--oformat' (extra hyphen).

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 20 Feb 2001 21:32:44 -0500

binutils (2.10.1.0.2-1) unstable; urgency=low

  * New upstream release (really prerel, but better than
    using a CVS version).
  * Should re-add Compaq demangling style to all
    tools (alpha-only).
  * Again, hopefully fixes m68k ELF support...still have
    no idea why or how this was broken before.

 -- Christopher C. Chimelis <chris@debian.org>  Mon, 20 Nov 2000 16:25:44 -0500

binutils (2.10.0.27-0.cvs20001011.2) unstable; urgency=low

  * Applied another PowerPC patch to correct the
    implementation of .protected and .hidden in the
    linker.  This should also aid in the glibc
    transition on PowerPC.

 -- Christopher C. Chimelis <chris@debian.org>  Tue, 17 Oct 2000 13:23:40 -0400

binutils (2.10.0.27-0.cvs20001011.1) unstable; urgency=low

  * Applied PowerPC weak symbol patch from CVS to aid
    in glibc transition on that platform.

 -- Christopher C. Chimelis <chris@debian.org>  Sun, 15 Oct 2000 19:12:22 -0400

binutils (2.10.0.27-0.cvs20001011) unstable; urgency=low

  * Grabbed a new CVS version since it backs out a
    change that prevented current gcc snapshots from
    linking properly to libstdc++v3.  This may also
    solve some other problems related to global
    section symbols (feedback appreciated).
  * Finally changed my email address in the control
    file (how I overlooked this after all of this
    time I'll never know).

 -- Christopher C. Chimelis <chris@debian.org>  Wed, 11 Oct 2000 08:59:36 -0400

binutils (2.10.0.27-0.cvs20001008) unstable; urgency=low

  * Removed configure.info.gz from binutils-doc since
    it didn't really belong there. (closes: Bug#72746)
  * Update for hppa/hppa64 targets (included testsuite
    changes committed on 07-Oct-2000). (closes: Bug#71524)
  * Upstream change to elflink.h to hopefully stop
    segfaults on some archs when linking binaries to
    shared libs.

 -- Christopher C. Chimelis <chris@debian.org>  Sun,  8 Oct 2000 16:14:08 -0400

binutils (2.10.0.27-0.cvs20000923.1) unstable; urgency=low

  * Fixed rules file so that builds don't fail when compiling the
    binary-arch target (added binary-cross to binary-arch).
  * Fixed harmless attempt at removing builddir-avr twice.

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 28 Sep 2000 10:39:12 -0400

binutils (2.10.0.27-0.cvs20000923) unstable; urgency=low

  * CVS snapshot from 2000-09-23.
  * Should fix some (most) HPPA issues.
  * Adds binutils-m68k cross-assembler.

 -- Christopher C. Chimelis <chris@debian.org>  Sun, 24 Sep 2000 10:19:20 -0400

binutils (2.10.0.26-2) unstable; urgency=low

  * Added the avr target for Amtel's AVR MCU's
  * Applied Frank I. Smith <smith@amirix.com> to generate packages for 
	  multiple cross targets:
	    + Bump rev number, NOP.
      + Testing out bumping up the rev number.
      + Added powerpc, arm, mipsel cross binutils packages.
	
 -- Christopher C. Chimelis <chris@debian.org>  Fri, 22 Sep 2000 17:31:44 -0400

binutils (2.10.0.26-1) unstable; urgency=low

  * New upstream source.
  * Added mips-linux, hppa-linux, and hppa64-linux to multiarch targets

 -- Christopher C. Chimelis <chris@debian.org>  Sun, 17 Sep 2000 01:05:49 -0400

binutils (2.10.0.24-1) unstable; urgency=low

  * New upstream source.
  * Fixes ia32 assembler buglet.
  * (Hopefully) fixes PPC visibility problems with
    glibc 2.2

 -- Christopher C. Chimelis <chris@debian.org>  Thu, 24 Aug 2000 16:52:44 -0400

binutils (2.10.0.18-3) unstable; urgency=low

  * Added build depends stuff.

 -- Christopher C. Chimelis <chris@debian.org>  Sat, 5 Aug 2000 21:09:04 -0400

binutils (2.10.0.18-2) unstable; urgency=low

  * Added proviso to control file saying that -multiarch
    should not be installed by the average user.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sat, 29 Jul 2000 20:07:15 -0400

binutils (2.10.0.18-1) unstable; urgency=low

  * New upstream source.
  * Should address some needed things for glibc 2.2
    (added new DT_XXXX dynamic tags and fixes DT_NEEDED
    link bug)
  * Reapplied the now-infamous "ObjC patch" until
    we can figure out why we still have this problem
    (hint hint hint...we really need to do this).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sat, 22 Jul 2000 13:18:27 -0400

binutils (2.10.0.9-4) unstable; urgency=low

  * Applied a patch from Ben Collins to fix sparc64
    linker scripts

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sat, 8 Jul 2000 07:24:10 -0400

binutils (2.10.0.9-3) unstable; urgency=low

  * Applied a patch from the libstdc++ mailing list to
    make sure that the linker doesn't eat the eh_frame
    section.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri, 7 Jul 2000 10:26:59 -0400

binutils (2.10.0.9-2) unstable; urgency=low

  * Wow, already a bug fix.
  * binutils-dev now provides libiberty.h

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri, 23 Jun 2000 19:54:39 -0400

binutils (2.10.0.9-1) unstable; urgency=low

  * New upstream version (more linux-specific).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri, 23 Jun 2000 14:31:04 -0400

binutils (2.10-1) unstable; urgency=low

  * New upstream version (finally, a real release!)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed, 21 Jun 2000 19:08:14 -0400

binutils (2.9.5.0.46-1) unstable; urgency=low

  * New upstream source.
  * ELF visibility attribute should work correctly now.
  * ia32 "jmp" instructions are now assembled differently
    to use relocation for global jumps (affects PIC asm
    code).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 8 Jun 2000 21:34:42 -0400

binutils (2.9.5.0.42-1) unstable; urgency=low

  * New upstream source.
  * Includes a testcase for hidden symbol support.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri, 19 May 2000 20:48:52 -0400

binutils (2.9.5.0.41-1) unstable; urgency=high

  * New upstream source.
  * Now includes patch to enable hidden symbol support
    needed for gcc 3.0 testing.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri,  5 May 2000 20:38:41 -0400

binutils (2.9.5.0.37-1) frozen unstable; urgency=high

  * Was forced to bring the current frozen version up to
    upstream 2.9.5.0.37 in order to fix a rather nasty
    i386 gas bug and also since the existing ARM patch
    applied in 2.9.5.0.31-3 has been superceded upstream
    (closes:Bug#62119)
  * Includes proper demangler support for Compaq compiler
    usage on Alpha (may be superceded upstream shortly,
    but is good enough for potato and for Compaq's usage)
    (closes:Bug#62079)
  * Added cross-compilation support for individual use.
    Please note that the binary packages do not support
    this.  If you require this feature, you need to compile
    the source package changing debian/rules.  Also, if
    you do this, YMMV since things on this front are changing
    rapidly upstream and also because cross-compiling from
    certain platforms to others may not work (i386->alpha,
    for example).  (closes:Bug#59246)
  * Fixed replaces statement in binutils-multiarch
    (closes:Bug#62496)
  * Release Manager: I once again beg that this be included
    in potato.  I've freed up some time to deal with bug
    reports quickly if needed.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sat, 29 Apr 2000 04:03:39 -0400

binutils (2.9.5.0.31-3) frozen unstable; urgency=high

  * Applied patch to fix broken ARM code generation (closes:Bug#61977)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri,  7 Apr 2000 15:50:42 -0400

binutils (2.9.5.0.31-2) frozen unstable; urgency=high

  * Remove ld from binutils-multiarch since it doesn't want to
    link kernels on several archs properly (fixes severity:important bug)
    (closes: Bug#61719, Bug#61615, Bug#51625)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon,  3 Apr 2000 22:48:55 -0400

binutils (2.9.5.0.31-1) frozen unstable; urgency=high

  * Yet another patch (this time from H.J. Lu upstream) to fix
    the unlink race condition bug.  This is VERY important and
    needs to be in potato.  It also fixes the temp file creation
    problem with objcopy on PPC (closes: Bug#60934)
  * New upstream release.  Fixes a serious Alpha bug along
    with a demangler bug and several others (closes: Bug#61121)
  * Should fix apt-get upgrade problem...please test
    (closes: Bug#56175)
  * Release manager: can we squeeze this in?  I know it's a
    new version, but the ELF bug on Alpha really needs to
    be fixed along with the rest of the above and some others
    not mentioned here.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed, 22 Mar 2000 05:05:12 -0500

binutils (2.9.5.0.22-5) frozen unstable; urgency=high

  * Applied fixed patch from Colin Phipps to seal the unlink
    race condition in bfd/cache.c (closes: Bug#58865, Bug#57831)
  * Installed a proper changelog in binutils-doc
    (closes: Bug#58522)
  * Closes other older bug (closes: Bug#55801)
  * Included bbconv.pl in binutils main package in the doc dir
    under the gprof subdir (closes: Bug#57521)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Tue, 14 Mar 2000 10:32:52 -0500

binutils (2.9.5.0.22-4) frozen unstable; urgency=high

  * Patched gprof/hertz.h to allow binutils to actually
    build and work on Hurd (closes: Bug#57564)
  * Patched bfd/cache.c to avoid a rare, but possible
    security problem when as is creating/opening temp
    files (closes: Bug#57831)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 17 Feb 2000 10:31:05 -0500

binutils (2.9.5.0.22-3) frozen unstable; urgency=high

  * Removed standards.info...do we really need seven
    bugs filed for the same problem
    (closes: Bug#54521, Bug#54546, Bug#54614, Bug#54682, Bug#55402, Bug#55582, Bug#55602)
  * Changed binutils-multiarch extended description
    to mention that a cross-assembling gas is not
    included (closes: Bug#49308)
  * Closing a bug because it related to lack of disk space
    (closes: Bug#52714)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed, 19 Jan 2000 19:28:09 -0500

binutils (2.9.5.0.22-2) unstable; urgency=high

  * Added getopt.h include that was omitted in the -taso patch
    (closes: Bug#52380)
  * Fixed table misalignment when calling objdump --info
    (closes: Bug#51517)
  * Added Debian changelog to binutils-doc (closes: Bug#52574) 

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed, 15 Dec 1999 19:14:05 -0500

binutils (2.9.5.0.22-1) unstable; urgency=high

  * New upstream version.
  * More MIPS fixes.
  * Added support for -taso linker flag for Alpha.
  * Reapplied all previous patches.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed,  7 Dec 1999 01:08:51 -0600

binutils (2.9.5.0.19-1) unstable; urgency=high

  * New upstream version
  * Fixes some MIPS problems
  * Reapplied the ObjC patch (is this ever going to be fixed upstream)
    since it's badly needed right now

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 4 Nov 1999 15:00:35 -0400

binutils (2.9.5.0.16-3) unstable; urgency=low

  * Added support for mipsel-linux in binutils-multiarch

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 4 Nov 1999 15:00:35 -0400

binutils (2.9.5.0.16-2) unstable; urgency=low

  * Added a replaces field in the control file to fix
    previous file overwrite problems (closes: Bug#47518, Bug#47938)
  * Verified manpages are up to date (closes: Bug#18483)
  * Added m68k-rtems to targets in -multiarch in hopes
    that it will actually work as advertised (closes: Bug#47468)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon, 25 Oct 1999 15:58:55 -0400

binutils (2.9.5.0.16-1) unstable; urgency=low

  * New upstream version.
  * Massive bugfix upload on the Debian side:
  * Fixes changelog problems between all of the binutils
    debs (closes: Bug#47133, Bug#47208, Bug#47211)
  * Fixes other overwrite problems (closes: Bug#46991, Bug#47024, Bug#46074)
  * Multiarch should now make good diversions when
    upgrading (closes: Bug#47359)
  * Applied patch from Kevin Buhr to fix ld segfaults with
    empty archives (closes: Bug#47019)
  * Should have fixed info install problems by now
    (closes: Bug#35935)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri,  15 Oct 1999 03:18:55 -0400

binutils (2.9.5.0.14-1) unstable; urgency=low

  * New upstream version.
  * Thanks to Matthias Klose for the following:
  * Separate documentation to binutils-doc package.
  * debian/rules:
    - Remove extra /usr/share/doc/binutils/changelog.gz file.
    - Move bfd docs to binutils-dev package.
    - Move upstream changelogs to binutils-doc package.
    - Remove standard GNU info files left in /usr/share/info.
    - Call dh_installdocs for all packages.
  * debian/*{dirs,files}: Remove. Mention explicitely in debian/rules.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed,  6 Oct 1999 03:18:55 -0400

binutils (2.9.5.0.12-2) unstable; urgency=low

  * Applied patch from Matthias Klose to fix many issues including architecture detection.
  * Rules file is now much prettier and easier to manage.
  * Binutils is now built for i386 rather than i486 in the rules file (oops).
  * Added diversion for readelf in binutils-multiarch.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Tue, 21 Sep 1999 03:39:08 -0400

binutils (2.9.5.0.12-1) unstable; urgency=low

  * Massive bugfix release.
  * New upstream source (finally) (closes: Bug#44934)
  * Fixes upstream bugs on many platforms.
  * Gives powerpc a working binutils again. (closes: Bug#45052)
  * Now provides .code16 support on i386 (please test)
  * Manpage for objdump should now be complete (closes: Bug#27039)
  * Put together manpages for gasp and the new binary readelf (closes: Bug#21918)
  * Fixes nm core dump problem (closes: Bug#41999)
  * Applied patches from Ben Collins to add sparc64 support (closes: Bug#44426)
  * Update Standards version
  * FHS compliance

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sat, 18 Sept 1999 01:21:05 -0400

binutils (2.9.5.0.12-0.2) experimental; urgency=low

  * Added Sparc/Sparc64 changes from Ben Collins (I really need a Sparc one of these days).
  * Again, this should be the last experimental before a new release.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri, 17 Aug 1999 16:32:05 -0400

binutils (2.9.5.0.12-0.1) experimental; urgency=low

  * New upstream version.
  * Should be the last experimental before a new release.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 9 Aug 1999 23:12:52 -0400

binutils (2.9.5.0.10-0.1) experimental; urgency=low

  * New upstream version.
  * Didn't apply PPC patches...let me know if still needed

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 9 Aug 1999 23:12:52 -0400

binutils (2.9.5.0.6-0.1) experimental; urgency=low

  * New upstream version.
  * Didn't apply PPC patches...let me know if still needed

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 9 Aug 1999 23:12:52 -0400

binutils (2.9.4.0.8-0.1) unstable; urgency=low

  * New upstream version.
  * Applied as much of the PPC patches as I could.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 15 Jul 1999 12:46:45 -0400

binutils (2.9.4.0.3-0.1) unstable; urgency=low

  * New upstream version.
  * Apply patch from Richard Henderson to fix PPC's libpath.
  * Apply patch from Franz Sirl to fix Richard Henderson.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 6 Jun 1999 01:27:10 -0400

binutils (2.9.4.0.2-0.1) unstable; urgency=low

  * New upstream version.  2.9.4.0.1 was hurriedly recalled.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 6 Jun 1999 01:27:10 -0400

binutils (2.9.4.0.1-0.1) unstable; urgency=low

  * New upstream version.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 6 Jun 1999 01:27:10 -0400

binutils (2.9.1.0.25-2) unstable; urgency=low

  * Added ObjC patch AGAIN...sorry about that

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sun, 23 May 1999 15:14:35 -0400

binutils (2.9.1.0.25-1) unstable; urgency=low

  * New upstream version - Fixes a PIII asm optimisation bug

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Sun, 23 May 1999 00:36:55 -0400

binutils (2.9.1.0.24-2) unstable; urgency=low

  * Reapplied ObjC patch...apparently it's still needed.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon, 10 May 1999 19:53:15 -0400

binutils (2.9.1.0.24-1) unstable; urgency=low

  * New upstream release - fixes too many little things to mention.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Tue,  3 May 1999 16:35:08 -0400

binutils (2.9.1.0.23-1) unstable; urgency=low

  * New upstream release - incorporates sparc64 and arm patches.
  * Added RPATH patch from Joel Klecker since my last upload failed.
  * Removed ObjC patch.  Let me know if it is still needed (doubtful, but
    still might be).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon,  5 Apr 1999 13:26:55 -0500

binutils (2.9.1.0.22b-2) unstable; urgency=low

  * Added patch from Joel Klecker to finally (properly) fix the rpath issue
    (Thanks, Joel!).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri,  2 Apr 1999 18:14:05 -0600

binutils (2.9.1.0.22b-1) unstable; urgency=low

  * Converted package to CVS (so bear with any delays in handling
    bug fixes; I'm new to CVS ironically)
  * New upstream version (sparc64 and ARM patches again added).
  * Added support for mingw32 target in binutils-multiarch

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri, 12 Mar 1999 03:51:44 -0600

binutils (2.9.1.0.19a-4) frozen unstable; urgency=high
  * Added sparc64 patches from Steve Dunham to fix sparc64 targets
  * Modified rules to add support for gcc/egcs by arch.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon,  1 Feb 1999 15:51:19 -0600

binutils (2.9.1.0.19a-3) frozen unstable; urgency=high

  * Reverted a patch to elflink.h that caused problems for
    Obj-C code (symbols weren't exported with a size or
    type).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 21 Jan 1999 19:25:17 -0600

binutils (2.9.1.0.19a-2) frozen unstable; urgency=low

  * Added arm-linux as multiarch target (sorry Jim).
  * Uploaded to frozen to fix strange intermittant kernel
    compilation problems (Fixes #31434).
  * Fixed multiarch's postinst script to check for
    c++filt.single before trying to remove it to prevent
    warning messages if using g++ from egcs.
  * Fixed typo in multiarch's postrm (addr2line) (Fixes: #31533)
  * Added links to .so's for clean removal in the future (Fixes: #31536)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Fri,  8 Jan 1999 15:28:32 -0600

binutils (2.9.1.0.19a-1) unstable; urgency=low

  * New upstream version; fixes some Alpha problems and other archs
    should benefit also.
  * Added ARM target patch from Corel again (still not in upstream).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon,  4 Jan 1999 20:24:36 -0600

binutils (2.9.1.0.16-1) unstable; urgency=low

  * New upstream version; merges some ARM patches for Netwinders
  * Added patch for ARM target from Corel (thanks Jim Pick)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon, 30 Nov 1998 16:59:25 -0600

binutils (2.9.1.0.15-5) frozen unstable; urgency=low

  * Reuploaded to frozen (why it wasn't there earlier....)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon, 30 Nov 1998 16:37:08 -0600

binutils (2.9.1.0.15-4) unstable frozen; urgency=low

  * Removed c++filt diversion in -multiarch to prevent conflicting
    diversions when using egcs' g++ (which also wants to divert c++filt)

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Wed, 25 Nov 1998 18:06:17 -0600

binutils (2.9.1.0.15-3) unstable frozen; urgency=low

  * Made Roman's changes "official" (thanks Roman).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon, 2 Nov 1998 05:46:56 -0600

binutils (2.9.1.0.15-2.1) unstable; urgency=low

  * Non-maintainer upload with agreement from Chris.
  * Use a different soname for multi-arch libbfd and libopcodes; this
    fixes the problem that the single-arch binaries (as and the diverted
    ones) will all dump core because they're runtime-linked against the
    multi-arch libs. (Fixes: #28656)
  * Due to the above, binutils-multiarch also needs ldconfig in postinst
    now.
  * Fixup diversions once again: Do not even package the ldscripts for the
    native architecture, so diversions for files in /usr/lib/ldscripts
    aren't necessary.
  * Also remove diversions on abort-install.
  * Remove now obsolete diversions in preinst.
  * Also symlink /usr/doc/binutils-multiarch to binutils, and do not
    put /usr/doc/binutils in the package again.
  * Put the symlinks libbfd.so and libopcode.so into binutils-dev, so one
    can link to them.
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Sat, 31 Oct 1998 11:31:14 +0100

binutils (2.9.1.0.15-2) unstable; urgency=low

  * Fixed binutils-multiarch diversions
  * Reverted elf.c to .13 version to fix bug in strip

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Tue, 27 Oct 1998 05:26:28 -0600

binutils (2.9.1.0.15-1) unstable; urgency=low

  * New upstream version.
  * Moved over to debhelper and updated standards version to 2.4.1.4.
  * Adds 3DNow instruction support for AMD processors.
  * Fixes MANY Alpha bugs and a few for Sparc, PPC, and m68k reportedly.
  * Added binutils-multiarch package to allow for multiple-arch support
    (fixes bug #19471).

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 14 Oct 1998 19:30:10 -0500

binutils (2.9.1.0.13-1) unstable; urgency=low

  * New upstream version, fixes bug #25354.
  * Hopefully, all requested docs are included, fixes bug #21325.
  * Fixes MANY Alpha problems.
  * Reportedly may fix MIPS and Sparc problems also...see changelogs.
  * Has been tested on x86's with great success.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Mon,  5 Oct 1998 23:02:08 -0500

binutils (2.9.1-0.2) frozen unstable; urgency=low

  * Fixed binutils-dev dependencies.

 -- Joel Klecker <jk@espy.org>  Tue, 05 May 1998 09:24:04 -0700

binutils (2.9.1-0.1) frozen unstable; urgency=medium
  
  * Non-maintainer release.
  * New upstream release.
  * Moved docs into subdirs where appropriate.
  * Integrated the following changes from J.H.M. Dassen:
    * Updated FSF address in copyright file. (lintian).
    * Reported lack of "gasp" manpage (# ....), and link it to
      undocumented(7). (lintian).
    * Added a TODO list.

 -- Joel Klecker <jk@espy.org>  Thu, 30 Apr 1998 10:43:42 -0700

binutils (2.9-0.3) frozen unstable; urgency=medium

  * Added upstream patch which fixes a problem with strip
    and netscape (#17971).

 -- Joel Klecker <jk@espy.org>  Tue, 28 Apr 1998 08:58:27 -0700

binutils (2.9-0.2) frozen unstable; urgency=low

  * Added more of the upstream docs (#21325).
  * Put a changelog.gz symlink in /usr/doc/binutils
    to satisfy policy.

 -- Joel Klecker <jk@espy.org>  Tue, 21 Apr 1998 09:02:22 -0700

binutils (2.9-0.1) frozen unstable; urgency=low

  * Non-maintainer release.
  * New upstream release (bugfixes only).

 -- Joel Klecker <jk@espy.org>  Sun, 12 Apr 1998 04:11:07 -0700

binutils (2.8.1.0.23-1) unstable; urgency=low

  * New upstream version
  * -dev replaces libc5-dev (#17840)
  * No longer possible to link against shared libbbfd/opcodes (#18121)

 -- Galen Hazelwood <galenh@micron.net>  Sat, 14 Mar 1998 18:19:10 -0700

binutils (2.8.1.0.19-1) unstable; urgency=low

  * New upstream version (#17296)
  * Fixed typo in description (#16481)
  * Fully replaces libbfd-dev (#16619)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 25 Jan 1998 15:37:03 -0700

binutils (2.8.1.0.17-1) unstable; urgency=low

  * New upstream version
  * Rejoined libbfd and binutils packages (#15486)
  * Added "SHELL=bash" to rules file (#14528)
  * bfd info docs seem to be broken, don't install for now

 -- Galen Hazelwood <galenh@micron.net>  Sat,  6 Dec 1997 14:55:26 -0700

binutils (2.8.1.0.15-1) unstable; urgency=low

  * New upstream version (#14250)
  * Updated to Standard 2.3.0.0
  * Restored ansidecl.h to libbfd-dev (#14116)

 -- Galen Hazelwood <galenh@micron.net>  Thu, 30 Oct 1997 20:04:24 -0700

binutils (2.8.1-2) unstable; urgency=low

  * Added 2.8.1.0.4 patch

 -- Galen Hazelwood <galenh@micron.net>  Thu, 12 Jun 1997 20:49:57 -0600

binutils (2.8.1-1) unstable; urgency=low

  * New upstream version
  * Added 2.8.1.0.1 patch

 -- Galen Hazelwood <galenh@micron.net>  Fri,  30 May 1997 14:48:42 -0600

binutils (2.8-1) unstable; urgency=low

  * New upstream version
  * Smarter debian build environment (automatic version handling)
  * Added 2.8.0.3 patch
  * Built with libc6

 -- Galen Hazelwood <galenh@micron.net>  Sun, 4 May 1997 11:16:12 -0600

binutils (2.7.0.9-3) frozen unstable; urgency=low

  * Patched for alpha support
  * Distribute libiberty.a with -dev package (#8376)
  * libbfd[x]-dev now has standard Provides/Conflicts behavior (#8377) 

 -- Galen Hazelwood <galenh@micron.net>  Fri, 28 Mar 1997 11:45:58 -0700

binutils (2.7.0.9-2) unstable; urgency=low

  * Moved 2.7.0.9 out of experimental (no longer unreleased beta)

 -- Galen Hazelwood <galenh@micron.net>  Sun, 9 Mar 1997 23:43:19 -0700

binutils (2.7.0.9-1) experimental; urgency=low

  * New upstream beta version (fixes bug #7336)
  * Split shared libraries (bfd) out of binutils (fixes bug #7244)
  * No longer builds aout-binutils

 -- Galen Hazelwood <galenh@micron.net>  Thu, 13 Feb 1997 00:27:18 -0700

binutils (2.7-6) unstable; urgency=low

  * Uses dpkg --print-gnu-build-architecture for build
  * Demoted aout-binutils to priority "extra"

 -- Galen Hazelwood <galenh@micron.net>  Mon, 27 Jan 1997 13:34:08 -0700

binutils (2.7-5) unstable; urgency=low (HIGH for m68k)

  * Added patch for m68k, will now compile X68 and kernel 2.1.15

 -- Galen Hazelwood <galenh@micron.net>  Tue, 31 Dec 1996 22:15:03 -0700

binutils (2.7-4) unstable; urgency=low

  * New maintainer
  * Updated to new source format
  * Fixed typo in script.1 (Fixes bug #4558)
  * Fixed typo in as.1 (Fixes bug #5567)
  * Postinst now calls ldconfig without explicit pathname (Fixes bug #6151)

 -- Galen Hazelwood <galenh@micron.net>  Mon, 30 Dec 1996 12:10:25 -0700

binutils (2.7-3):

Remove lib*.so links so the libs are not used for develpment.
gzip manpages

Changes made by Michael Meskes <meskes@debian.org> in consent with David Engel.

binutils (2.7-2):

Include shared libraries
Strip shared libraries
Also update AOUT version
Minor changes to debian.rules

binutils (2.7-1):
  
Updated to new upstream version.

Added a simple extended description (Bug#3574).

Don't call ldconfig from postrm script (Bug#4246).

Local variables:
mode: debian-changelog
End:
